# Global

##

### Type Definitions

#### AuthOptions

Source:
  - index.js, line 38

##### Properties:

Name | Type | Attributes | Description
--- | --- | --- | ---
`sessionToken` | String | <optional> | Specify a user to excute the operation as.
`user` | AV.User | <optional> | Specify a user to excute the operation as. The user must have _sessionToken. This option will be ignored if sessionToken option provided.
`useMasterKey` | Boolean | <optional> | Indicates whether masterKey is used for this operation. Only valid when masterKey is set.

Options to controll the authentication for an operation

##### Type:

- Object

#### UploadProgressCallback(event)

Source:
  - file.js, line 412

##### Parameters:

Name | Type | Description
--- | --- | ---
`event` | XMLHttpRequestProgressEvent | The progress event with 'loaded' and 'total' attributes